ranges::v3::detail::set_intersection_cursor< IsConst, Rng1, Rng2, C, P1, P2 > Struct Template Reference

## Public Types

using | single_pass = meta::strict_or< SinglePass< iterator_t< R1 > >, SinglePass< iterator_t< R2 > >>
using | value_type = range_value_type_t< R1 >

## Public Member Functions

bool | equal (set_intersection_cursor const &that) const
bool | equal (default_sentinel) const
auto | move () const noexcept(noexcept(decltype(iter_move(it1_))(iter_move(it1_)))) -> decltype(iter_move(it1_))
void | next ()
auto | read () const noexcept(noexcept(decltype(*it1_)(*it1_))) -> decltype(*it1_)
| set_intersection_cursor (pred_ref_ pred, proj1_ref_ proj1, proj2_ref_ proj2, iterator_t< R1 > it1, sentinel_t< R1 > end1, iterator_t< R2 > it2, sentinel_t< R2 > end2)